package com.tax.file.mapper;


import com.tax.file.model.TkTaxUser;
import com.tax.file.model.TkTaxUserExample;
import com.yxcheng.token.common.service.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TkTaxUserMapper extends BaseMapper<TkTaxUserExample,TkTaxUser> {

    List<TkTaxUser> queryApplyTaxnoList();
    List<TkTaxUser> queryDownloadTaxnoList();
    void updateTaxUser(TkTaxUser tkTaxUser);
    List<TkTaxUser> queryResetApplyTaxnoList();
    List<TkTaxUser> queryResetMonthApplyTaxnoList();
    List<TkTaxUser> queryClearDataTaxnoList(@Param("pageNum") Integer pageNum);
    List<Map<String, Object>> queryApplyFileByMonitor();
    List<TkTaxUser> queryDayReportTaxnoList(@Param("startDate")String startDate, @Param("endDate")String endDate);
    TkTaxUser queryTaxnoInfo(@Param("userName") String userName, @Param("taxno") String taxno);
    void updateClearTaxUser(TkTaxUser tkTaxUser);
}